<?php require_once('../../Connections/cn.php'); ?>
<?php 
//***************************************************************************************
// Nombre del Script: oferta_excel.php
// Descripción: Permite descargar a Microsoft Excel los datos de la Oferta Académica.
// Llamado desde: imprime_inscritos_excel.php
//************************************************************************************** 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

// Captura los datos que vienen de imprime_inscritos.php
$periodo=$_GET['id_periodo'];   // Código del lapso academico
$sede=$_GET['sede'];            // Código de la Sede
$nivel=$_GET['nivel'];          // Mención o Nivel 
$turno=$_GET['turno'];          // Turno
$semestre=$_GET['semestre'];    // Semestre

if($nivel=="CG") $nivel="COMUN";

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion=' ('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$codigo_periodo=$row2['codigo'].$descripcion;

//Datos de la Sede
$nombre_sede="TODAS";
if($sede!=0){
   $sql2 = "select * from sedes where codigo='$sede'";
   $rs2=mysql_query($sql2,$cn);
   $row2=mysql_fetch_array($rs2);
   $nombre_sede=$row2['nombre_sede'];
}

$nombre_semestre="TODOS";
if($semestre!="99") $nombre_semestre=$semestre;

// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];

// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
$query = "SELECT 
periodos.codigo, 
periodos.tipo,
alumnos.cedula, 
alumnos.apellidos, 
alumnos.nombres, 
sedes.nombre_sede, 
inscripciones.semestre, 
inscripciones.id_seccion AS seccion, 
inscripciones.id_materia, 
materias.nombre_materia, 
inscripciones.mencion, 
docentes.apellidos as apellidos_docente,
docentes.nombres as nombres_docente
FROM `inscripciones` , sedes, alumnos, materias, periodos,docentes
WHERE inscripciones.sede = sedes.codigo
AND inscripciones.id_alumno = alumnos.id_alumno
AND inscripciones.id_materia = materias.id_materia
AND inscripciones.id_periodo = periodos.id_periodo
AND inscripciones.id_docente = docentes.id_docente
ORDER BY periodos.tipo,alumnos.cedula
";
$r = mysql_query( $query ) or trigger_error( mysql_error($cn), E_USER_ERROR );
$return = '';
if( mysql_num_rows($r)>0){
    $return .= '<table border=1>';
    $cols = 0;
    while($rs = mysql_fetch_row($r)){
        $return .= '<tr>';
        if($cols==0){
            $cols = sizeof($rs);
            $cols_names = array();
            for($i=0; $i<$cols; $i++){
                $col_name = mysql_field_name($r,$i);
                $return .= '<th>'.htmlspecialchars($col_name).'</th>';
                $cols_names[$i] = $col_name;
            }
            $return .= '</tr><tr>';
        }
        for($i=0; $i<$cols; $i++){
            # En esta iteración se personalizan datos.
            if($cols_names[$i] == 'nombre_materia'){ # Formateo el nombre del alumno.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'apellidos'){ # Formateo el nombre del docente
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'nombres'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
			}else if($cols_names[$i] == 'nombres_docente'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
			}else if($cols_names[$i] == 'apellidos_docente'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';	
			}else{
                $return .= '<td>'.htmlspecialchars($rs[$i]).'</td>';
            }
        }
        $return .= '</tr>';
    }
    $return .= '</table>';
    mysql_free_result($r);
}
#Cambiando el content-type más las <table> se pueden exportar formatos como csv
header("Content-type: application/vnd-ms-excel; charset=iso-8859-1");
header("Content-Disposition: attachment; filename=inscripciones_pregrado-".date('d-m-Y').".xls");
echo $return; 
?>

